package arsenalnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Планировщик боеприпасов и ремок для сети
*/

// ArsenalNet -- планировщик беоприпасов и ремок в сети
type ArsenalNet struct {
	*sectionnet.SectionNet
}

// НовАрсеналСеть -- возвращает новый *ArsenalNet
func НовАрсеналСеть(arsenal types.ИАрсенал) (*ArsenalNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(arsenal, "https://wartank.ru/production/Armory")
	if err != nil {
		return nil, fmt.Errorf("NewArsenalNet(): in create SectionNet, err=\n\t%w", err)
	}

	sf := &ArsenalNet{
		SectionNet: sectionNet,
	}

	return sf, nil
}
